{%- macro render_image(key,images) -%}
	{%- if images[key] is defined -%}
		<img src="{{ images[key] }}" alt="{{ key|e }}" title="{{ key|e }}">
	{%- endif %}
{%- endmacro -%}

{%- macro render_attr_name(cur,key,images) -%}
	<div class="textblock">
		{{ render_image(key,images) }}
		{{ key|e }}
	</div>
{%- endmacro -%}

{%- macro render_value(cur,key,images) -%}
	<div class="textblock">
	{%- if images[cur[key]] is defined -%}
		{{ render_image(cur[key],images) }}
	{%- else -%}
		{{ cur[key]|e }}
	{%- endif %}
	</div>
{%- endmacro -%}

<h2>{{ header|e }}</h2>
<table class="dce-table">
{%- set cur = cases[j] -%}
{%- set keys = cur["a"]["keys"] -%}
	<tr>
		<th>Attribut</th>
		<th><span class="optionheader">A</span></th>
		<th><span class="optionheader">B</span></th>
	</tr>
	{#- cur | tojson  -#}
	{%- for key in keys -%}
	<tr>
		<td class="attrname">{{ render_attr_name(cur,key,images) }}</td>
		<td class="attrvalue">{{ render_value(cur["a"],key,images) }}</td>
		<td class="attrvalue">{{ render_value(cur["b"],key,images) }}</td>
	</tr>
	{%- endfor -%}
	<tr>
		<td></td>
		<td></td>
		<td></td>
	</tr>
	<tr>
		<td class="yourchoice">Ihre Auswahl: </td>
		<td class="attrchoice"> </td>
		<td class="attrchoice"> </td>
	</tr>
</table>
<style>
	.dce-table {
		border-spacing: 0.2em;
		border-collapse: collapse;
		border: 0.1em solid lightgrey;
	}
	.dce-table .textblock {
		display: grid;
		grid-template-columns: max-content auto;
		grid-template-rows: max-content auto;
		grid-template-areas: 
			"text text"
			"img img";
		column-gap: 0.1em;
		row-gap: 0.1em;
		justify-items: center;
		align-items: center;
	}
	.dce-table .attrname .textblock {
		grid-template-areas: 
			"img text"
			"img text";
	}
	.dce-table span {
		grid-area: text;
	}
	.dce-table img {
		grid-area: img;
		max-height: 2em;
		height: 2em;
		min-height: 1em;
	}
	.dce-table th {
		font-weight: bold;
	}
	.dce-table th,td {
		padding: 0.5em;
		border: 0.1em solid lightgrey;
		border-bottom-style: dotted;
		border-top-style: dotted;
		text-align: center;
		display: table-cell !important;
	}
	.dce-table .optionheader {
		display: inline-block;
		width: 1.4em;
		height: 1.4em;
		color: white;
		background-color: grey;
		border-radius: 0.7em;
	}
	.dce-table .yourchoice {
		color: #31708f;
		font-weight: bold;
	}
</style>
<script type="text/javascript" charset="utf-8">
	$(document).on('ready pjax:scriptcomplete',function(){
 
		// Identify this question
		var thisQuestion = $('#question{QID}');

		// Move the radios
		$('.question-text .attrchoice:eq(0)', thisQuestion).append($('.answer-container .answer-item:eq(0) *', thisQuestion));
		$('.question-text .attrchoice:eq(1)', thisQuestion).append($('.answer-container .answer-item:eq(1) *', thisQuestion));
		
		// Some classes for presentation
		$('.question-text table:eq(0) input:radio', thisQuestion).closest('td').addClass('answer-item radio-item text-center radio');
		$('.question-text table:eq(0) .radio-item label', thisQuestion).show();
		
		// Click event on the table cells
		$('.question-text table:eq(0) .radio-item', thisQuestion).on('click', function(e) {
			$('input:radio', this).trigger('click');
		});
		$('.question-text table:eq(0) input:radio', thisQuestion).on('click', function(e) {
			e.stopPropagation();
		});
		
		// Clean-up styles
		$('.answer-container', thisQuestion).hide();
		$('.ls-question-message', thisQuestion).hide();
		$('.question-text table:eq(0) .label-text', thisQuestion).remove();
		$('.question-text table:eq(0) .radio-text', thisQuestion).css({
			'cursor': 'pointer'
		});
    });
</script>
